
#include <Application.h>
#include <LayoutBuilder.h>
#include <Window.h>

#include "NavigationView.h"

class MainWindow : public BWindow
{
	public:
		MainWindow( BRect const& frame ): BWindow( frame, "LayoutBug - PulseNeeded",
				B_TITLED_WINDOW, B_ASYNCHRONOUS_CONTROLS | B_QUIT_ON_WINDOW_CLOSE | B_OUTLINE_RESIZE )
		{
			BLayoutBuilder::Group<>(this, B_VERTICAL)
				.AddSplit(B_HORIZONTAL)
					.Add( new NavigationView() )
				.End()
			;
		}
};


class MainApplication : public BApplication
{
	public:
		MainApplication( void ) : BApplication( "application/x-vnd.cipri.LayoutBug" )
		{
			
		}
		
		virtual void ReadyToRun( void )
		{
			BRect frame;
			frame.Set( 50, 50, 400, 400 );
			
			fMainWindow = new MainWindow( frame );
			
			fMainWindow->Show();
		}
		
	private:
		MainWindow*		fMainWindow;
	
};

int main( void )
{
	new MainApplication();
	
	be_app->Run();
	
	delete be_app;
	
	return( 0 );	
}
